%define url_ver   %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/mate-sensors-applet/plugins/.*\\.so

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Detailed hardware monitoring applet for MATE
Name:           mate-sensors-applet
Version: 1.24.1
Release: %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         mate-sensors-applet-1.20.0-fix-linkage.patch

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  mate-common >= 1.22.0
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libatasmart) >= 0.16
BuildRequires:  pkgconfig(libnotify) >= 0.7.0
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.80
BuildRequires:  lm_sensors-devel
BuildRequires:  pkgconfig(cairo) >= 1.0.4
BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  autoconf-archive

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%package -n %{libname}
Summary:    mate-sensors-applet libraries
Group:      System/Libraries

%description -n %{libname}
This is the shared library parts of %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-libnotify

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libexecdir}/mate-sensors-applet
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet

%files -n %{libname}
%{_libdir}/libmate-sensors-applet-plugin.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/mate-sensors-applet/*
%{_libdir}/libmate-sensors-applet-plugin.so


%changelog
* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618712
- Update to version 1.24.1

* Fri May 01 2020 wally <wally> 1.24.0-3.mga8
+ Revision: 1577639
- BR udisks2 instead of old udisks
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548111
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488839
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397039
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-2.mga7
+ Revision: 1375508
- Update to version 1.22.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.20.3-2.mga7
+ Revision: 1346549
- rebuild for lm_sensors

* Sun Dec 23 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1344734
- Update to version 1.20.3

* Sat Dec 01 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337263
- Update to version 1.20.2
- Rolled back to r1299479

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335525
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.1-2.mga7
+ Revision: 1299479
- Mageia 7 Mass Rebuild

* Sun Mar 04 2018 tarakbumba <tarakbumba> 1.20.1-1.mga7
+ Revision: 1206517
- Update to 1.20.0  version

* Thu Dec 14 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1182601
- Updated to 1.19.1 version
- Update to 1.19.0 version

* Sat Sep 16 2017 cjw <cjw> 1.18.2-2.mga7
+ Revision: 1154769
- rebuild for new find_lang

* Wed May 17 2017 tarakbumba <tarakbumba> 1.18.2-1.mga6
+ Revision: 1102451
- Update to 1.18.2 version
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092644
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077053
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001527
- Update to 1.14.0 version

* Tue Feb 09 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950999
- Update to 1.13.0 version

* Sun Dec 06 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908520
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898531
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.4-1.mga6
+ Revision: 872988
- new version 1.10.4

* Sat Jun 27 2015 tarakbumba <tarakbumba> 1.10.2-1.mga6
+ Revision: 846476
- Update to 1.10.2 version

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 839918
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 744126
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-3.mga5
+ Revision: 727198
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682202
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600121
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598056
- Update to 1.7.x version

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563881
-Update to new bugfix version: 1.6.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531074
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445515
- imported package mate-sensors-applet

